Bug 255782 - lang/python-doc-html: Fix distinfo of 2.7.18 document archive files
Summary: lang/python-doc-html: Fix distinfo of 2.7.18 document archive files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-11 09:48 UTC by Yasuhiro Kimura
Modified: 2021-05-22 10:15 UTC (History)
1 user (show)

See Also:
dbaio: maintainer-feedback+
dbaio: merge-quarterly+


Attachments
Patch file (2.46 KB, patch)
2021-05-11 09:48 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2021-05-11 09:48:14 UTC
Created attachment 224835 [details]
Patch file

I don't know why this happened, but file size and sha256 checksum of python 2.7.18 document archive files are different from that of ones currently put on official Python server. So update them anyway.
Comment 1 commit-hook freebsd_committer 2021-05-12 01:07:32 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=37f19e9f90c85122bb88346c1ecc8a4540bd136c

commit 37f19e9f90c85122bb88346c1ecc8a4540bd136c
Author:     Danilo G. Baio <dbaio@FreeBSD.org>
AuthorDate: 2021-05-12 00:56:04 +0000
Commit:     Danilo G. Baio <dbaio@FreeBSD.org>
CommitDate: 2021-05-12 01:03:43 +0000

    lang/python-doc-html: Fix distinfo of v2.7.18

    No content changed, it seems just Sphinx output was changed.

    PR:             255782
    Submitted by:   Yasuhiro KIMURA <yasu@utahime.org>
    Approved by:    python (with hat)

 lang/python-doc-html/distinfo | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)
Comment 2 Danilo G. Baio freebsd_committer 2021-05-12 01:08:41 UTC
Committed, thanks!
Comment 3 Yasuhiro Kimura 2021-05-12 03:05:39 UTC
(In reply to Danilo G. Baio from comment #2)

Thank you for committing. I noticed there is also same problem in quarterly branch. So would you please cherry-pick this commit to 2021Q2?

Best Regards.
Comment 4 commit-hook freebsd_committer 2021-05-22 10:14:12 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3aaf0317326123db7f8752c8353ebd6cb23d0e58

commit 3aaf0317326123db7f8752c8353ebd6cb23d0e58
Author:     Danilo G. Baio <dbaio@FreeBSD.org>
AuthorDate: 2021-05-12 00:56:04 +0000
Commit:     Danilo G. Baio <dbaio@FreeBSD.org>
CommitDate: 2021-05-22 10:13:04 +0000

    lang/python-doc-html: Fix distinfo of v2.7.18

    No content changed, it seems just Sphinx output was changed.

    PR:             255782
    Submitted by:   Yasuhiro KIMURA <yasu@utahime.org>
    Approved by:    python (with hat)

    (cherry picked from commit 37f19e9f90c85122bb88346c1ecc8a4540bd136c)

 lang/python-doc-html/distinfo | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)